Bug 1117678 - [py3] proper binary for python3-dnf
[py3] proper binary for python3-dnf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4aa9e4ee7ac07cf0da0e8a3fec2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-09 04:06 EDT by Jiří Martínek
Modified: 2014-09-30 19:42 EDT (History)
6 users (show)

See Also:
Fixed In Version: hawkey-0.4.18-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-19 02:03:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (536 bytes, text/plain)
2014-07-09 04:06 EDT, Jiří Martínek
no flags Details
File: environ (3.35 KB, text/plain)
2014-07-09 04:06 EDT, Jiří Martínek
no flags Details

  None (edit)
Description Jiří Martínek 2014-07-09 04:06:11 EDT
Description of problem:
I just ran # dnf upgrade and this happened

Version-Release number of selected component:
python3-dnf-0.5.3-1.fc20

Additional info:
reporter:       libreport-2.2.2
cmdline:        /usr/bin/python -OO /bin/dnf upgrade
executable:     /bin/dnf
kernel:         3.14.9-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
dnf:35:<module>:ImportError: No module named dnf.cli

Traceback (most recent call last):
  File "/bin/dnf", line 35, in <module>
    from dnf.cli import main
ImportError: No module named dnf.cli

Local variables in innermost frame:
__builtins__: <module '__builtin__' (built-in)>
__file__: '/bin/dnf'
here: '/usr/bin'
__package__: None
sys: <module 'sys' (built-in)>
unicode_literals: _Feature((2, 6, 0, 'alpha', 2), (3, 0, 0, 'alpha', 0), 131072)
__name__: '__main__'
os: <module 'os' from '/usr/lib64/python2.7/os.pyo'>
__doc__: None
Comment 1 Jiří Martínek 2014-07-09 04:06:14 EDT
Created attachment 916663 [details]
File: backtrace
Comment 2 Jiří Martínek 2014-07-09 04:06:15 EDT
Created attachment 916664 [details]
File: environ
Comment 3 Ales Kozumplik 2014-07-09 05:14:12 EDT
Will you please run:

$ rpm -q dnf python3-dnf
$ rpm -ql dnf
$ python -c 'import dnf.cli'

and report the output? Thanks!
Comment 4 Jiří Martínek 2014-07-09 13:35:59 EDT
$  rpm -q dnf python3-dnf
balíček dnf není nainstalován
python3-dnf-0.5.3-1.fc20.noarch
$ rpm -ql dnf
balíček dnf není nainstalován
$ python -c 'import dnf.cli'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ImportError: No module named dnf.cli
Comment 5 Ales Kozumplik 2014-07-10 02:29:48 EDT
Thank you, I see what's going on now. We will fix this.
Comment 6 Ales Kozumplik 2014-07-16 03:05:55 EDT
Fixed by 41bbf95.
Comment 7 Fedora Update System 2014-07-17 02:42:45 EDT
hawkey-0.4.18-2.fc20, dnf-0.5.4-1.fc20, libsolv-0.6.4-0.git2a5c1c4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hawkey-0.4.18-2.fc20,dnf-0.5.4-1.fc20,libsolv-0.6.4-0.git2a5c1c4.fc20
Comment 8 Fedora Update System 2014-07-19 02:03:17 EDT
hawkey-0.4.18-2.fc20, dnf-0.5.4-1.fc20, libsolv-0.6.4-0.git2a5c1c4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.